Summary: Fuduntu-Elementary theme
Name: fuduntu-elementary
Version: 1.0
Release: 3
BuildArch: noarch
# No version given, no license attribution.
License: GPL+
Group: User Interface/Desktops
# There is no official upstream yet
Source0: %{name}-%{version}.tar.bz2
URL: http://www.fuduntu.org

Requires: gtk-murrine-engine
Requires: fuduntu-theme
Requires: fuduntu-logos
Requires: dmz-cursor-themes

# we require XML::Parser for our in-tree intltool
BuildRequires: perl(XML::Parser)
BuildRequires: intltool

Obsoletes: fedora-gnome-theme
Obsoletes: redhat-artwork
%description
This package contains the Fuduntu variant of the elementary theme.

%prep
%setup -q

%build

%post

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/{gtk-2.0,metacity-1}
mkdir -p $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/{Button,Panel,Apps/{midori,nautilus}/{button,old},Handle,Icons,Range,Sidebar}
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/index.theme $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/selected.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/mode_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/mode_pressed.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/mode_prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button/insensitive.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Panel/panel.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Panel
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Panel/panel-dark.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Panel
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/dexter.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/eog.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/gedit.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/panel-dark.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/steadyflow.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/totem.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/postler.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/midori.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/midori
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/gnome-terminal.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/panel.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/nautilus.rc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/midori/base.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Apps/midori
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/gtkrc $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button/breadcrumb_prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button/right_slider_normal_alt.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button/left_slider_normal_alt.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button/breadcrumb_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/button
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/breadcrumb_prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/extra-widget.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/right_slider_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/left_slider_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old/breadcrumb_prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old/right_slider_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old/left_slider_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old/breadcrumb_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/old
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/breadcrumb_normal.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/nautilus/
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle/pane-horiz.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle/dimple.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle/resize_grip.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle/pane-vert.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Handle
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons/media-playback-pause.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons/media-skip-backward.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons/media-playback-start.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons/close.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons/media-skip-forward.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Icons
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range/slider.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range/slider-prelight.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range/trough.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Range
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Sidebar/handle.png $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/gtk-2.0/Sidebar
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/close-focus-normal.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/metacity-theme-1.xml $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/menu-focus.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/close-focus.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/menu-pressed.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/menu-focus-normal.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/close-focus-none.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/close-pressed.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1
install -p -m 644 -D usr/share/themes/"Fuduntu-Elementary"/metacity-1/menu-focus-none.svg $RPM_BUILD_ROOT/usr/share/themes/"Fuduntu-Elementary"/metacity-1

%files
%defattr(-, root, root)
"%{_datadir}/themes/Fuduntu-Elementary"

%changelog
* Thu Jul 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0-3
- Fix Midori directory

* Sun May 06 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0-2
- Remove spaces from directory names

* Sun Apr 10 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0
- Initial release
